import React from "react";
import {Container, Col, Row, Image, Tabs, Tab} from "react-bootstrap";
import Navigation from "../Components/Layout/Navbar/Navigation";
import ResourcesTab from "../Components/Resources/ResourcesTab";
import {useState} from "react";
import useGet from "../Components/Hooks/useGet";
import {useAuth} from "../Components/Context/AuthContext";
import {Navigate} from "react-router-dom";
import {FaCheckCircle} from "react-icons/fa";
import UnapprovedBusinessesTable from "../Components/AdminPanel/UnapprovedBusinessesTable";
import UnapprovedProfilesTable from "../Components/AdminPanel/UnapprovedProfilesTable";
import AllProfilesTable from "../Components/AdminPanel/AllProfilesTable";

const ProfilesManagementPage = (props) => {

    console.log(props.tab)


    return (
        <>
            <Navigation/>
            <Container>
                <Row className="mb-5">
                    <h2 style={{color: "#159895", textAlign: "left"}}>Менаџмент со профили</h2>
                </Row>
            </Container>
            <Container>
                <Tabs
                    defaultActiveKey="home"
                    id="uncontrolled-tab-example"
                    className="mb-3"
                >
                    <Tab eventKey="home" title="Неодобрени регистрации за фирма">
                        <UnapprovedBusinessesTable/>
                    </Tab>
                    <Tab eventKey="profile" title="Неверифицирани профили">
                        <UnapprovedProfilesTable/>
                    </Tab>
                    <Tab eventKey="contact" title="Сите профили">
                        <AllProfilesTable/>
                    </Tab>
                </Tabs>
            </Container>
        </>)
}

export default ProfilesManagementPage;